/*
 * Copyright (C) EdgeTX
 *
 * Based on code named
 *   opentx - https://github.com/opentx/opentx
 *   th9x - http://code.google.com/p/th9x 
 *   er9x - http://code.google.com/p/er9x
 *   gruvin9x - http://code.google.com/p/gruvin9x
 *
 * License GPLv2: http://www.gnu.org/licenses/gpl-2.0.html
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include "view_about.h"
#include "opentx.h"

const uint8_t mask_qrcode[] = {
#include "mask_qrcode.lbm"
};

constexpr coord_t ABOUT_WIDTH = 220;

AboutUs::AboutUs() :
  MessageDialog(MainWindow::instance(), STR_ABOUT_US, "")
{
  content->setRect({(LCD_W - ABOUT_WIDTH) / 2, 20, ABOUT_WIDTH, LCD_H - 40});

  messageWidget->setTextFlags(CENTERED | FONT(BOLD) | DEFAULT_COLOR);
  messageWidget->setTop(content->top() + 40);
  messageWidget->setHeight(2*PAGE_LINE_HEIGHT);

  messageWidget->setText("EdgeTX Endeavour (2.4.0)\n"
                         "Copyright (C) 2021 EdgeTX");

  qrcode = BitmapBuffer::load8bitMaskOnBackground(mask_qrcode, DEFAULT_COLOR,
                                                  DEFAULT_BGCOLOR);
  new StaticBitmap(content,
                   rect_t{ content->width() / 2 - qrcode->width() / 2, 80,
                       qrcode->width(), qrcode->height()},
                   qrcode);
}

AboutUs::~AboutUs()
{
  delete qrcode;
}
